package com.jy.log.model.table;


import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;
import com.jy.log.model.entity.LogException;

public class LogExceptionTable extends Table<LogException> {

    public static LogExceptionTable log_exception = new LogExceptionTable();
    public static LogExceptionTable le = log_exception.as("le");

    /**
     * 异常日志id
     */
    public QueryColumn id = this.field(LogException::getId);

    /**
     * 请求方式
     */
    public QueryColumn method = this.field(LogException::getMethod);

    /**
     * 匹配路径
     */
    public QueryColumn bestMatching = this.field(LogException::getBestMatching);

    /**
     * 路径变量
     */
    public QueryColumn requestAttribute = this.field(LogException::getRequestAttribute);

    /**
     * get请求参数
     */
    public QueryColumn requestParam = this.field(LogException::getRequestParam);

    /**
     * post请求参数
     */
    public QueryColumn requestBody = this.field(LogException::getRequestBody);

    /**
     * 异常说明
     */
    public QueryColumn errorMsg = this.field(LogException::getErrorMsg);

    /**
     * 异常详情
     */
    public QueryColumn errorDetail = this.field(LogException::getErrorDetail);

    /**
     * 创建者
     */
    public QueryColumn createUser = this.field(LogException::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(LogException::getCreateTime);

    private LogExceptionTable() {
        super(LogException.class);
    }

    private LogExceptionTable(String alias) {
        super(LogException.class, alias);
    }

    public LogExceptionTable as(String alias) {
        return new LogExceptionTable(alias);
    }

}
